SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Attributes | List of all members
SLNet::RakPeer::RequestedConnectionStruct Struct Reference

`#include <slikenet/peer.h>`

## Public Types

enum | { CONNECT =1 }

## Public Attributes

SystemAddress | systemAddress
SLNet::Time | nextRequestTime
unsigned char | requestsMade
char * | data
unsigned short | dataLength
char | outgoingPassword [256]
unsigned char | outgoingPasswordLength
unsigned | socketIndex
unsigned int | extraData
unsigned | sendConnectionAttemptCount
unsigned | timeBetweenSendConnectionAttemptsMS
SLNet::TimeMS | timeoutTime
PublicKeyMode | publicKeyMode
RakNetSocket2 * | socket
enum SLNet::RakPeer::RequestedConnectionStruct:: { ... } | actionToTake

## Detailed Description

Definition at line 836 of file peer.h.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  CONNECT |

Definition at line 852 of file peer.h.

## Member Data Documentation

enum { ... } SLNet::RakPeer::RequestedConnectionStruct::actionToTake

Referenced by SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

char* SLNet::RakPeer::RequestedConnectionStruct::data

Definition at line 841 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

unsigned short SLNet::RakPeer::RequestedConnectionStruct::dataLength

Definition at line 842 of file peer.h.

unsigned int SLNet::RakPeer::RequestedConnectionStruct::extraData

Definition at line 846 of file peer.h.

Referenced by SLNet::RakPeer::SendConnectionRequest().

SLNet::Time SLNet::RakPeer::RequestedConnectionStruct::nextRequestTime

Definition at line 839 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

char SLNet::RakPeer::RequestedConnectionStruct::outgoingPassword[256]

Definition at line 843 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), and SLNet::RakPeer::SendConnectionRequest().

unsigned char SLNet::RakPeer::RequestedConnectionStruct::outgoingPasswordLength

Definition at line 844 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), and SLNet::RakPeer::SendConnectionRequest().

PublicKeyMode SLNet::RakPeer::RequestedConnectionStruct::publicKeyMode

Definition at line 850 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket().

unsigned char SLNet::RakPeer::RequestedConnectionStruct::requestsMade

Definition at line 840 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

unsigned SLNet::RakPeer::RequestedConnectionStruct::sendConnectionAttemptCount

Definition at line 847 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

RakNetSocket2* SLNet::RakPeer::RequestedConnectionStruct::socket

Definition at line 851 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

unsigned SLNet::RakPeer::RequestedConnectionStruct::socketIndex

Definition at line 845 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

SystemAddress SLNet::RakPeer::RequestedConnectionStruct::systemAddress

Definition at line 838 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

unsigned SLNet::RakPeer::RequestedConnectionStruct::timeBetweenSendConnectionAttemptsMS

Definition at line 848 of file peer.h.

Referenced by SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendConnectionRequest().

SLNet::TimeMS SLNet::RakPeer::RequestedConnectionStruct::timeoutTime

Definition at line 849 of file peer.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), and SLNet::RakPeer::SendConnectionRequest().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/peer.h